V-Leaflet ivy installation problem

Hi,

ivy is not able to resolve depencies on v-leaflet add-on. It fails with message “org.discotools.gwt.leaflet#gwtl-core;0.3-SNAPSHOT: not found”

Also I build jars on my own an added to webapplication lib folder. I am able to develop on those classes and run application with it, but widgetbuilder in eclipse does not find v-leaflet, so no widgetset is build for it.

Any help on this?

Regards,
Rudolf

Hi,
did you find a solution? I get the same error message …
Regards,
Stefan

Hi,

Looks like IVY messes up with optional rule from pom.xml. Can’t confirm as I never use IVY myself. The missing dependency is a yet to be released GWT leaflet integration, that I have packaged in the same jar and thus marked as optional. If you can find a way to ignore the missing dependency in IVY, things should work just fine.

cheers,
matti